Node v4.1.2 (stable) 发布,修复 DoS 漏洞

oschina
 oschina
发布于 2015年10月06日
收藏 3

Node v4.1.2(稳定版)发布,主要更新内容如下:

  • http:

    • Fix out-of-order 'finish' event bug in pipelining that can abort execution, fixes DoS vulnerability CVE-2015-7384 (Fedor Indutny) #3128

    • Account for pending response data instead of just the data on the current request to decide whether pause the socket or not (Fedor Indutny) #3128

  • libuv: Upgraded from v1.7.4 to v1.7.5, see release notes for details (Saúl Ibarra Corretgé) #3010

    • A better rwlock implementation for all Windows versions

    • Improved AIX support

  • v8:

    • Upgraded from v4.5.103.33 to v4.5.103.35 (Ali Ijaz Sheikh) #3117

    • Backported f782159 from v8's upstream to help speed up Promise introspection (Ben Noordhuis) #3130

    • Backported c281c15 from v8's upstream to add JSTypedArray length in post-mortem metadata (Julien Gilli) #3031

详情请看:发行说明

下载地址:

Windows 32-bit Installer: https://nodejs.org/dist/v4.1.2/node-v4.1.2-x86.msi
Windows 64-bit Installer: https://nodejs.org/dist/v4.1.2/node-v4.1.2-x64.msi
Windows 32-bit Binary: https://nodejs.org/dist/v4.1.2/win-x86/node.exe
Windows 64-bit Binary: https://nodejs.org/dist/v4.1.2/win-x64/node.exe
Mac OS X 64-bit Installer: https://nodejs.org/dist/v4.1.2/node-v4.1.2.pkg
Mac OS X 64-bit Binary: https://nodejs.org/dist/v4.1.2/node-v4.1.2-darwin-x64.tar.gz
Linux 32-bit Binary: https://nodejs.org/dist/v4.1.2/node-v4.1.2-linux-x86.tar.gz
Linux 64-bit Binary: https://nodejs.org/dist/v4.1.2/node-v4.1.2-linux-x64.tar.gz
SunOS 32-bit Binary: https://nodejs.org/dist/v4.1.2/node-v4.1.2-sunos-x86.tar.gz
SunOS 64-bit Binary: https://nodejs.org/dist/v4.1.2/node-v4.1.2-sunos-x64.tar.gz
ARMv6 32-bit Binary: https://nodejs.org/dist/v4.1.2/node-v4.1.2-linux-armv6l.tar.gz
ARMv7 32-bit Binary: https://nodejs.org/dist/v4.1.2/node-v4.1.2-linux-armv7l.tar.gz
ARMv8 64-bit Binary: https://nodejs.org/dist/v4.1.2/node-v4.1.2-linux-arm64.tar.gz
Source Code: https://nodejs.org/dist/v4.1.2/node-v4.1.2.tar.gz
Other release files: https://nodejs.org/dist/v4.1.2/
Documentation: https://nodejs.org/docs/v4.1.2/api/

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:Node v4.1.2 (stable) 发布,修复 DoS 漏洞
加载中

最新评论(8

yinj
yinj
说好的半年一发呢
Xiphin
Xiphin

引用来自“清溪鬼谷”的评论

升级之后 forever or pm2 安装不了 有遇到相同情况的没?
提示:npm WARN optional dep failed, continuing fsevents@1.0.1

引用来自“Klaus88”的评论

这个warn没关系的,是osx上才装的
就是不用管它 对吧
Klaus88
Klaus88

引用来自“清溪鬼谷”的评论

升级之后 forever or pm2 安装不了 有遇到相同情况的没?
提示:npm WARN optional dep failed, continuing fsevents@1.0.1
这个warn没关系的,是osx上才装的
Xiphin
Xiphin
升级之后 forever or pm2 安装不了 有遇到相同情况的没?
提示:npm WARN optional dep failed, continuing fsevents@1.0.1
后排男生
不是说本周一发4.2的嘛?
返回顶部
顶部